%define real	jaxen
%define name	%{real}-bootstrap
%define dom4jver	1.6.1
%define version	1.1
%define release	0.b7.1jpp
%define section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:        A convenience package for build of dom4j
License:        Open Source
Url:            http://jaxen.codehaus.org/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
SOURCE0:	http://cvs.codehaus.org/viewrep/~tarball=tgz,tag=V11_BETA_7/jaxen/jaxen.tgz
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        jaxen-1.1-b7-jpp-depmap.xml


Source5:        http://prdownloads.sourceforge.net/dom4j/dom4j-%{dom4jver}.tar.gz
# docs converted with "maven xdoc:transform"
#Patch0:         jaxen-1.1-jdom-DocumentNavigator.patch
Provides:	jaxen-bootstrap
Requires:	jdom >= 0:1.0-0.rc1.1jpp
Requires:	xalan-j2
Requires:	xerces-j2
Requires:	xom
BuildRequires:  ant >= 0:1.6, jpackage-utils >= 0:1.6, junit, maven, saxon, saxon-scripts
BuildRequires:	jdom >= 0:1.0-0.rc1.1jpp
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
BuildRequires:	xom
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Dom4j depends on a jaxen build with dom4j support.
This package must only be installed in the rare
event of having to rebuild dom4j.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{real}
/bin/gzip -dc %{SOURCE5} | tar -xf -

find . -name "*.jar" -exec rm -f {} \;

export DEPCAT=$(pwd)/jaxen-1.1-b7-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > jaxen-1.1-b7-depmap.new.xml

#mkdir -p src/conf
#cat >> src/conf/MANIFEST.MF << EOF
#Manifest-Version: 1.0
#Created-By: Ant 1.6
#EOF

#%patch0 -b .sav

%build
export CLASSPATH=$(build-classpath \
jdom \
xalan-j2 \
xerces-j2 \
)
pushd dom4j-%{dom4jver}/src/java
javac -sourcepath ../../../src/java/main:. \
        org/dom4j/Attribute.java \
        org/dom4j/Branch.java \
        org/dom4j/CDATA.java \
        org/dom4j/Comment.java \
        org/dom4j/Document.java \
        org/dom4j/DocumentException.java \
        org/dom4j/Element.java \
        org/dom4j/Namespace.java \
        org/dom4j/Node.java \
        org/dom4j/ProcessingInstruction.java \
        org/dom4j/Text.java \
        org/dom4j/io/SAXReader.java \



#jar cf ../../dom4j.jar org/dom4j/*.class org/dom4j/io/*.class org/dom4j/tree/*.class
jar cf ../../dom4j.jar $(find . -name "*.class")
popd

for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

mkdir -p .maven/repository/JPP/jars
build-jar-repository .maven/repository/JPP/jars \
jdom \
junit \
xalan-j2 \
xerces-j2 \
xom \

cp dom4j-%{dom4jver}/dom4j.jar .maven/repository/JPP/jars/\[dom4j\].jar

mkdir -p .maven/repository/maven/jars
build-jar-repository .maven/repository/maven/jars \
maven-jelly-tags \


maven   -Dmaven.test.skip=true -Dmaven.home.local=$(pwd)/.maven jar 


%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/jaxen-1.1-beta-7.jar \
$RPM_BUILD_ROOT%{_javadir}/%{real}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%changelog
* Wed Aug 17 2005 Ralph Apel <r.apel@r-apel.de> 0:1.1-0.b7.1jpp
- Upgrade to 1.1-beta-7
- Now mavenized
- Derived jaxen-bootstrap from new jaxen

* Thu Sep 09 2004 Ralph Apel <r.apel@r-apel.de> 0:1.1-0.b2.1jpp
- Upgrade to 1.1-beta-2
- Drop saxpath requirement as saxpath is now included in jaxen

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.0-4jpp
- Rebuild with ant-1.6.2
* Mon Jan 19 2004 Ralph Apel <r.apel@r-apel.de> 0:1.0-3jpp
- build against dom4j-1.4-1jpp
- introduce manual and demo subpackages
- patch org.jaxen.dom4j.DocumentNavigatorTest
- include LICENSE in main package
- run tests during build

* Thu Jan 15 2004 Ralph Apel <r.apel@r-apel.de> 0:1.0-2jpp
- activate support for dom4j by renaming lib/dom4j-core.jar to .zip

* Sun May 04 2003 David Walluck <david@anti-microsoft.org> 0:1.0-1jpp
- release
